%global enginesdir %(pkg-config --variable=enginesdir libcrypto)

Name:           openssl-ibmpkcs11
Version:        1.0.1
Release:        2%{?dist}
Summary:        IBM OpenSSL PKCS#11 engine

License:        OpenSSL
URL:            https://github.com/opencryptoki/openssl-ibmpkcs11
Source0:        https://github.com/opencryptoki/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/opencryptoki/openssl-ibmpkcs11/commit/71ab5ebe2fe97487e2cc3d0b1f72fbc115fe311b
# https://github.com/opencryptoki/openssl-ibmpkcs11/commit/578cd8567bd102b25ecf04db105e16f0a177d1f3
Patch0:         %{name}-1.0.1-link.patch
# https://github.com/opencryptoki/openssl-ibmpkcs11/commit/b033a49486f70670d72e8e95b6e4bb54903d1d1b
Patch1:         %{name}-1.0.1-autotools.patch

BuildRequires:  automake autoconf libtool
BuildRequires:  openssl-devel
Requires:       opencryptoki-libs%{?_isa}


%description
This package contains a shared object OpenSSL dynamic engine for the use
with a PKCS#11 implementation such as openCryptoki.

%prep
%autosetup -p1

./bootstrap.sh


%build
%configure --libdir=%{enginesdir}
%make_build


%install
%make_install
mv openssl.cnf.sample openssl.cnf.sample.%{_arch}
rm -f $RPM_BUILD_ROOT%{enginesdir}/*.la


%files
%license LICENSE
%doc README openssl.cnf.sample.%{_arch}
%{enginesdir}/ibmpkcs11.so


%changelog
* Tue Jan 23 2018 Dan Horák <dan@danny.cz> - 1.0.1-2
- apply fix for autotools
- don't hard-code %%enginesdir

* Fri Jan 19 2018 Dan Horák <dan@danny.cz> - 1.0.1-1
- initial Fedora version
